<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="settings.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  EzASPSite
'**                                                              
'**  Copyright 2003-2005 VSBrown All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  and use it both privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to EzASPSite and Powered By EzASPSite link must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**    
'**  No official support is available for EzASPSite but you may post support questions at:
'**  http://www.ezaspsite.com/forum
'**
'****************************************************************************************
'Set the response buffer to true
Response.Buffer = True 

'Make sure this page is not cached
Response.Expires = -1
Response.ExpiresAbsolute = Now() - 2
Response.AddHeader "pragma","no-cache"
Response.AddHeader "cache-control","private"
Response.CacheControl = "No-Store"

Dim blnLCode1

'Variables				
Dim strMode			'This Is The Page Mode
Dim sitetitle                   'This Is Your Site Title
Dim keywords                    'This Is The Meta Keywords For Your Site
Dim webmaster                   'This Is Your Contact Email
Dim sitepath                    'This Is The Path To Your Site
Dim sitelogo                    'This Is Your Site Logo
Dim sitelaunch                  'This Is The Date Your Site Was Launched/Started
Dim copyrightyear               'This Is The Copyright Year That Appears At Page Bottom
Dim pagedefaulttitle            'This Is Default Home Page Title
Dim page1title                  'This Is Page 1 Title
Dim page1path                   'This Is The Path To Page 1
Dim page2title                  'This Is Page 2 Title
Dim page2path                   'This Is The Path To Page 2
Dim page3title                  'This Is Page 3 Title
Dim page3path                   'This Is The Path To Page 3
Dim page4title                  'This Is Page 4 Title
Dim page4path                   'This Is The Path To Page 4
Dim page5title                  'This Is Page 5 Title
Dim page5path                   'This Is The Path To Page 5
Dim minimenu                    'This Is The Mini Menu Bar That Will Appear 
Dim minimenuimage               'This Is The Mini Horizontal Menu Background Image
Dim bullet                      'This Is The Site Navigation Menu Bullet Image
Dim UserID                      'This Is The Admin User ID
Dim Password                    'This Is The Admin Password
Dim sitelogoonoff               'This Is The Site Logo On/Off Variable
Dim bulletonoff                 'This Is The Bullet Image On/Off Variable
Dim guestbookon                 'This Is To Allow Guestbook In The Menu
Dim forumon                     'This Is To Allow Forum In The Menu
Dim googleon                    'This Is The Google Module On/Off Variable
Dim page1onoff                  'This Is Page 1 On/Off Variable
Dim page2onoff                  'This Is Page 2 On/Off Variable
Dim page3onoff                  'This Is Page 3 On/Off Variable
Dim page4onoff                  'This Is Page 4 On/Off Variable
Dim page5onoff                  'This Is Page 5 On/Off Variable
Dim blnseparateforums           'This Is To Separate Forums Yes/No
Dim htmleditor                  'This Is The HTML Editor On/Off Feature
Dim pagetitles                  'This Is The Page Titles On/Off Feature
Dim nocalendar                  'This Is To Turn Calendar On/Off
Dim nopartners                  'This Is To Turn Partners On/Off
Dim sitestats                   'This Is The Site Stats Module  On/Off Feature
Dim strAdminActivate            'This Is To Allow Admin Activated Memberships
Dim blnMailActivate             'This checks for the email activate in forums
Dim noscheme                    'This Is To Turn Scheme Box On/Off
Dim logotype                    'This Is The Logo Type
Dim roundview                   'This Allow Round/Box View
Dim homepage_3                  'This Is The Homepage 3 Column On/Off
Dim forum_3                     'This Is The Forum Page 3 Column On/Off
Dim guestbook_3                 'This Is The Guestbook 3 Column On/Off
Dim page1_3                     'This Is Page 1 3 Column On/Off
Dim page2_3                     'This Is Page 2 3 Column On/Off
Dim page3_3                     'This Is Page 3 3 Column On/Off
Dim page4_3                     'This Is Page 4 3 Column On/Off
Dim page5_3                     'This Is Page 5 3 Column On/Off
Dim strGMembers                 'This Is To Enable/Disable Guestbook For Members Only
Dim noChat                      'This Turns Chat Link On/Off
Dim logopos                     'This Positions Site Logo Left/Center/Right
Dim prview                      'This Turns PageRank Feature On/Off

'Pull Data From Database

'--------------------- Path And Name Of Database --------------------------------------------------------------------------------
strCon = "DRIVER={Microsoft Access Driver (*.mdb)}; DBQ=" & Server.MapPath(strEzDBPath3) ' "../../db/ez.mdb"

'Alternative Drivers Faster Than The Default One Above
'strCon = "Provider=Microsoft.Jet.OLEDB.3.51; Data Source=" & Server.MapPath("../db/ez.mdb") 'This one is if you convert the database to Access 97
'strCon = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & Server.MapPath("../db/ez.mdb")  'This one is for Access 2000/2002

'If you wish to use DSN then comment out the driver above and uncomment the line below (DSN is slower than the above drivers)
'strCon = "DSN = DSN_NAME" 'Place the DSN where you see DSN_NAME

'NOTE: For extra security it is highly recommended you change the name of the database, db/ez.mdb, to another name and then
'replace the db/ez.mdb found above with the name you changed the EzASPSite database to.
'---------------------------------------------------------------------------------------------------------------------------------------------

'Read In The Site Details

sitetitle = Request.Form("sitetitle")
keywords = Request.Form("keywords")
webmaster = Request.Form("webmaster")
sitepath = Request.Form("sitepath")
sitelogo = Request.Form("sitelogo")
sitelaunch = Request.Form("sitelaunch")
copyrightyear = Request.Form("copyrightyear")
pagedefaulttitle = Request.Form("pagedefaulttitle")
page1title = Request.Form("page1title")
page1path = Request.Form("page1path")
page2title = Request.Form("page2title")
page2path = Request.Form("page2path")
page3title = Request.Form("page3title")
page3path = Request.Form("page3path")
page4title = Request.Form("page4title")
page4path = Request.Form("page4path")
page5title = Request.Form("page5title")
page5path = Request.Form("page5path")
minimenu = Request.Form("minimenu")
minimenuimage = Request.Form("minimenuimage")
bullet = Request.Form("bullet")
UserID = Request.Form("UserID")
Password = Request.Form("Password")
sitelogoonoff = Request.Form("sitelogoonoff")
bulletonoff = Request.Form("bulletonoff")
guestbookon = Request.Form("guestbookon")
forumon = Request.Form("forumon")
googleon = Request.Form("googleon")
page1onoff = Request.Form("page1onoff")
page2onoff = Request.Form("page2onoff")
page3onoff = Request.Form("page3onoff")
page4onoff = Request.Form("page4onoff")
page5onoff = Request.Form("page5onoff")
blnseparateforums = Request.Form("blnseparateforums")
htmleditor = Request.Form("htmleditor")
pagetitles = Request.Form("pagetitles")
nocalendar = Request.Form("nocalendar")
nopartners = Request.Form("nopartners")
sitestats = Request.Form("sitestats")
strAdminActivate = Request.Form("strAdminActivate")
noscheme= Request.Form("noscheme")
logotype = Request.Form("logotype")
roundview = Request.Form("roundview")
homepage_3 = Request.Form("homepage_3")
guestbook_3 = Request.Form("guestbook_3")
forum_3 = Request.Form("forum_3")
page1_3 = Request.Form("page1_3")
page2_3 = Request.Form("page2_3")
page3_3 = Request.Form("page3_3")
page4_3 = Request.Form("page4_3")
page5_3 = Request.Form("page5_3")
strGMembers = Request.Form("strGMembers")
noChat = Request.Form("noChat")
logopos = Request.Form("logopos")
prview = Request.Form("prview")

strMode = Request.Form("mode")

Set rsCommon = Server.CreateObject("ADODB.Recordset")
strSQL = "SELECT tblSettings.* From tblsettings;"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3
	
'Query the database
rsCommon.Open strSQL, strCon

'If Changing Site Settings Then Update Database
If strMode = "change" Then
	
	'Update the recordset
	 With rsCommon
		.Fields("sitetitle") = sitetitle
		.Fields("keywords") = keywords 
		.Fields("webmaster") = webmaster
		.Fields("sitepath") = sitepath
		.Fields("sitelogo") = sitelogo
		.Fields("sitelaunch") = sitelaunch
		.Fields("copyrightyear") = copyrightyear
		.Fields("pagedefaulttitle") = pagedefaulttitle
		.Fields("page1title") = page1title
		.Fields("page1path") = page1path
		.Fields("page2title") = page2title
		.Fields("page2path") = page2path
		.Fields("page3title") = page3title
		.Fields("page3path") = page3path
		.Fields("page4title") = page4title
		.Fields("page4path") = page4path
		.Fields("page5title") = page5title
		.Fields("page5path") = page5path
                .Fields("sitelogoonoff") = sitelogoonoff
                .Fields("bulletonoff") = bulletonoff
                .Fields("minimenu") = minimenu
                .Fields("minimenuimage") = minimenuimage
		.Fields("bullet") = bullet
                .Fields("pagetitles") = pagetitles
                .Fields("guestbookon") = guestbookon
                .Fields("forumon") = forumon
                .Fields("googleon") = googleon
                .Fields("page1onoff") = page1onoff
                .Fields("page2onoff") = page2onoff
                .Fields("page3onoff") = page3onoff
                .Fields("page4onoff") = page4onoff
                .Fields("page5onoff") = page5onoff
                .Fields("blnseparateforums") = blnseparateforums
                .Fields("htmleditor") = htmleditor
                .Fields("nocalendar") = nocalendar
                .Fields("nopartners") = nopartners
                .Fields("sitestats") = sitestats  
                .Fields("strAdminActivate") = strAdminActivate
                .Fields("noscheme") = noscheme
                .Fields("logotype") = logotype
                .Fields("roundview") = roundview
                .Fields("homepage_3") = homepage_3
                .Fields("guestbook_3") = guestbook_3
                .Fields("forum_3") = forum_3
                .Fields("page1_3") = page1_3
                .Fields("page2_3") = page2_3
                .Fields("page3_3") = page3_3
                .Fields("page4_3") = page4_3
                .Fields("page5_3") = page5_3
                .Fields("strGMembers") = strGMembers
                .Fields("noChat") = noChat  
                .Fields("logopos") = logopos 
                .Fields("prview") = prview 
					
		'Update the database with the new site settings
		.Update
			
		'Re-run the query to read in the updated recordset from the database
		.Requery
	End With	
End If

'Read In The Site Settings From Database
If NOT rsCommon.EOF Then
	
	sitetitle = rsCommon("sitetitle")
	keywords = rsCommon("keywords")
	webmaster = rsCommon("webmaster")
	sitepath = rsCommon("sitepath")
	sitelogo = rsCommon("sitelogo")
	sitelaunch = rsCommon("sitelaunch")
	copyrightyear = rsCommon("copyrightyear")
	pagedefaulttitle = rsCommon("pagedefaulttitle")
	page1title = rsCommon("page1title")
	page1path = rsCommon("page1path")
	page2title = rsCommon("page2title")
	page2path = rsCommon("page2path")
	page3title = rsCommon("page3title")
	page3path = rsCommon("page3path")
	page4title = rsCommon("page4title")
	page4path = rsCommon("page4path")
	page5title = rsCommon("page5title")
	page5path = rsCommon("page5path")
	minimenu = rsCommon("minimenu")
	minimenuimage = rsCommon("minimenuimage")
	bullet = rsCommon("bullet")
        UserID = rsCommon("UserID")
        Password = rsCommon("Password")
        sitelogoonoff = rsCommon("sitelogoonoff")
        bulletonoff = rsCommon("bulletonoff")
        guestbookon = rsCommon("guestbookon")
        forumon = rsCommon("forumon")
        googleon = rsCommon("googleon")
        page1onoff = rsCommon("page1onoff")
        page2onoff = rsCommon("page2onoff")
        page3onoff = rsCommon("page3onoff")
        page4onoff = rsCommon("page4onoff")
        page5onoff = rsCommon("page5onoff")
        blnseparateforums = rsCommon("blnseparateforums")
        htmleditor = rsCommon("htmleditor")
        pagetitles = rsCommon("pagetitles")
        nocalendar = rsCommon("nocalendar")
        nopartners = rsCommon("nopartners")
        sitestats = rsCommon("sitestats")
        strAdminActivate = rsCommon("strAdminActivate")
        noscheme = rsCommon("noscheme")
        logotype = rsCommon("logotype")
        roundview = rsCommon("roundview")
        homepage_3 = rsCommon("homepage_3")
        guestbook_3 = rsCommon("guestbook_3")
        forum_3 = rsCommon("forum_3")
        page1_3 = rsCommon("page1_3")
        page2_3 = rsCommon("page2_3")
        page3_3 = rsCommon("page3_3")
        page4_3 = rsCommon("page4_3")
        page5_3 = rsCommon("page5_3")
        strGMembers = rsCommon("strGMembers")
        noChat = rsCommon("noChat")
        logopos = rsCommon("logopos")
        prview = rsCommon("prview")
End If

'Reset Server Objects
rsCommon.Close

set rsCommon = Server.CreateObject("ADODB.Recordset")
strSQL = "SELECT tblConfiguration.* From tblConfiguration;"
rsCommon.Open strSQL, strCon

blnMailActivate = rsCommon("Email_activate")

rsCommon.Close

Set rsCommon = Server.CreateObject("ADODB.Recordset")
strSQL = "SELECT tblHitCount.* From tblHitCount;"
rsCommon.Open strSQL, strCon

If Not rsCommon.EOF Then

blnLCode1 = CBool(rsCommon("L_Code"))

End If
rsCommon.Close
%>
<html>
<head>
<title>Site Settings</title>
<!-- EzASPSite is written and produced by VSBrown 2003-2005 --> 
<!-- You can download EzASPSite at http://www.ezaspsite.com -->

<!-- Link script file to the HTML document in the header for color picker -->
<script language=JavaScript src="color/picker.js"></script>

<!-- For HTML Editor -->
<script language="Javascript1.2"><!-- // load htmlarea
_editor_url = "htmlarea/";                     // URL to htmlarea files
var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
if (win_ie_ver >= 5.5) {
 document.write('<scr' + 'ipt src="' +_editor_url+ 'editor.js"');
 document.write(' language="Javascript1.2"></scr' + 'ipt>');  
} else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
// --></script> 
<!-- For HTML Editor -->

<!-- Check That Site Settings Are All Entered -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to remove the "/" from the end of field
function trimRight(entry){

   objRegExp = /[/]$/;
   if(objRegExp.test(entry)) {
       //remove trailing "/" character
       entry = entry.replace(objRegExp, '');
    }
  return document.SiteSettings.sitepath.value=entry;

}
//Function to check form is filled in correctly before submitting
function CheckForm () {

	//Check for a name of the site
	if (document.SiteSettings.sitetitle.value==""){
		alert("Please enter the name of your site");
		document.SiteSettings.sitetitle.focus();
		return false;
	}
	
	//Check for a site keywords
	if (document.SiteSettings.keywords.value==""){
		alert("Please enter your site keywords");
		document.SiteSettings.keywords.focus();
		return false;
	}
	
	//Check for a webmaster contact email
	if (document.SiteSettings.webmaster.value==""){
		alert("Please enter a webmaster contact email");
		document.SiteSettings.webmaster.focus();
		return false;
	}
	
	//Check for a path to the site
	if (document.SiteSettings.sitepath.value==""){
		alert("Please enter your site path");
		document.SiteSettings.sitepath.focus();
		return false;
	}      

        //Check for a site logo
	if (document.SiteSettings.sitelogo.value==""){
		alert("Please enter your site logo");
		document.SiteSettings.sitelogo.focus();
		return false;
	}

        //Check for a site launch date
	if (document.SiteSettings.sitelaunch.value==""){
		alert("Please enter your site launch date");
		document.SiteSettings.sitelaunch.focus();
		return false;
	}

        //Check for a copyright year
	if (document.SiteSettings.copyrightyear.value==""){
		alert("Please enter your site copyright year(s)");
		document.SiteSettings.copyrightyear.focus();
		return false;
	}
        
        //Check for a default(home) page title
	if (document.SiteSettings.pagedefaulttitle.value==""){
		alert("Please enter your site default(home) page title");
		document.SiteSettings.pagedefaulttitle.focus();
		return false;
	}

        //Check for a page 1 title
	if (document.SiteSettings.page1title.value==""){
		alert("Please enter your site page 1 title");
		document.SiteSettings.page1title.focus();
		return false;
	}

        //Check for a page 1 path
	if (document.SiteSettings.page1path.value==""){
		alert("Please enter your site page 1 path");
		document.SiteSettings.page1path.focus();
		return false;
	}

        //Check for a page 2 title
	if (document.SiteSettings.page2title.value==""){
		alert("Please enter your site page 2 title");
		document.SiteSettings.page2title.focus();
		return false;
	}

        //Check for a page 2 path
	if (document.SiteSettings.page2path.value==""){
		alert("Please enter your site page 2 path");
		document.SiteSettings.page2path.focus();
		return false;
	}

        //Check for a page 3 title
	if (document.SiteSettings.page3title.value==""){
		alert("Please enter your site page 3 title");
		document.SiteSettings.page3title.focus();
		return false;
	}

        //Check for a page 3 path
	if (document.SiteSettings.page3path.value==""){
		alert("Please enter your site page 3 path");
		document.SiteSettings.page3path.focus();
		return false;
	}

        //Check for a page 4 title
	if (document.SiteSettings.page4title.value==""){
		alert("Please enter your site page 4 title");
		document.SiteSettings.page4title.focus();
		return false;
	}

        //Check for a page 4 path
	if (document.SiteSettings.page4path.value==""){
		alert("Please enter your site page 4 path");
		document.SiteSettings.page4path.focus();
		return false;
	}

        //Check for a page 5 title
	if (document.SiteSettings.page5title.value==""){
		alert("Please enter your site page 5 title");
		document.SiteSettings.page5title.focus();
		return false;
	}

        //Check for a page 5 path
	if (document.SiteSettings.page5path.value==""){
		alert("Please enter your site page 5 path");
		document.SiteSettings.page5path.focus();
		return false;
	}

        //Check for a mini menu on/off
	if (document.SiteSettings.minimenu.value==""){
		alert("Please enter on or off for the mini menu");
		document.SiteSettings.minimenu.focus();
		return false;
	}

	return true
}
//Function to check that path is changed before submit to Google
function CheckPath () {

        //Check for the demo site path
	if (document.SiteSettings.sitepath.value=="http://www.ezaspsite.com/demo"){
		alert("Please Change Path To Your Site Path Before Submitting To Google");
		document.SiteSettings.sitepath.focus();
		return false;
	}

	return true
}
// -->
</script>
<script language="JavaScript" src="../includes/default_javascript.js" type="text/javascript"></script>
<link href="style.css" rel="stylesheet" type="text/css">
</head>
<body bgcolor="#F5F5FA" text="#000000" background="../admin/images/main_bg.gif">

<div align="center">
 <p class="text"><span class="heading">Site Settings</span> <br />
  <a href="<% = sitepath %>" target="_top">Return To Home Page</a>
  </p>
<span class="smtext">
<!--#include file="../../counter/hits.asp" -->
<a href="javascript:openWin('../../counter/admin.asp','HitsAdmin','toolbar=0,location=0,status=0,menubar=0,scrollbars=0,resizable=0,width=590,height=425')">Reset Site Hit Counter</a> 
</span><br><br>
<% If blnLCode1 = True Then %>
<span class="smtext">
  <a href="../admin/remove_ez.asp" target="_self"><u>Remove Powered By EzASPSite&trade; Links</u></a>
</span><br><br>
<% End If %>
<span class="smtext">
Your Version : EzASPSite <%=version%>
<script src="http://www.ezaspsite.com/includes/cr.js"></script><br>
  <a href="http://www.ezaspsite.com" target="_blank"><u>Download The Latest Version Of EzASPSite&trade;</u></a>
  <br><br>
    <a href="serverinfo.asp" target="mainFrame"><u>View Your Server Information</u></a>
</span>
</div>
<br>
<div align="center">
<form method=GET name=goog action="http://www.google.com/addurl" target="_blank" onSubmit="return CheckPath();">
<input type=hidden name=q value="<%= sitepath %>" size=40 maxlength=256>
<input type=hidden name=dq value="<%= sitetitle %>" size=40 maxlength=256>
<input type=submit value="Submit Your Site To Google" name="submit">
</form>
</div>
<div align="center" class="smtext2">For Security You Should Change Your Admin Login Details</div>
<form method="post" name="SiteSettings" action="sitesettings.asp<%=strGoQuery %>" onSubmit="return CheckForm();">

<!---Begin Admin Login Details--->

 <table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">
  <tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>Admin Login Details</b></td>
  </tr>

  <tr bgcolor="#F5F5FA"> 
   <td align="center" class="text">To Change Your Admin Username and Password Click&nbsp;<a href="<% response.write sitepath %>/forum/admin/change_admin_username.asp" target="mainFrame">Here...</a>
   <input name="UserID" type="hidden" id="UserID" value="<% = UserID %>">
   <input name="Password" type="hidden" id="Password" value="<% = Password %>">
   </td>
  </tr>

</table>

<br>
<!---Begin Site Settings--->

 <table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">

<!---Site Logo--->
  <tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>Site Logo</b></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text" colspan="2">Site Logo<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Site Logo:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="sitelogoonoff" value="Yes" <% If sitelogoonoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If sitelogoonoff = "No" Then Response.Write "checked" %> name="sitelogoonoff"> &nbsp;&nbsp;<font color="#000000">||
   </font>&nbsp;&nbsp;Graphic 
   <input type="radio" value="Yes" <% If logotype = "Yes" Then Response.Write "checked" %> name="logotype"> &nbsp;&nbsp;Text
   <input type="radio" value="No" <% If logotype = "No" Then Response.Write "checked" %> name="logotype"></span><br><span class="smText1">This Is Your Site Logo</span></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text" colspan="2">Site Logo Position<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Position:&nbsp;<span class="smText1">Left 
   <input type="radio" name="logopos" value="left" <% If logopos = "left" Then Response.Write "checked" %>> &nbsp;&nbsp;Center 
   <input type="radio" value="center" <% If logopos = "center" Then Response.Write "checked" %> name="logopos"> &nbsp;&nbsp;Right
   <input type="radio" value="right" <% If logopos = "right" Then Response.Write "checked" %> name="logopos">
   </span><br><span class="smText1">This Allows For The Positioning Of Site Logo</span></td>
  </tr>
  <tr bgcolor="#F5F5FA">
   <td valign="top">Graphic Logo&nbsp;&nbsp;&nbsp;&nbsp;<span class="smText2">(Recommended size : 470x80)</span><br><span class="smText1">(place in your scheme images folders)</span></td> 
   <td valign="top"><input name="sitelogo" type="text" id="sitelogo" value="<% = sitelogo %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Settings--->

  <tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>Site Settings</b></td>
  </tr>

<!---Site Title--->
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Title / Text Logo<br> <span class="smText1">This Is Your Site Title <font color="red">(also becomes text logo)</font></span></td>
   <td valign="top"><input name="sitetitle" type="text" id="sitetitle" value="<% = sitetitle %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Keywords--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Meta Keywords<br> <span class="smText1">This Is The Meta Keywords For Your Site</span></td>
   <td valign="top"><input name="keywords" type="text" id="keywords" value="<% = keywords %>" size="30" maxlength="255" ></td>
  </tr>

<!---Webmaster--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Webmaster Contact<br> <span class="smText1">This Is Your Contact Email</span></td>
   <td valign="top"><input name="webmaster" type="text" id="webmaster" value="<% = webmaster %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Path<br> <span class="smText1">This Is The Path To Your Site</span></td>
   <td valign="top"><input name="sitepath" type="text" id="sitepath" value="<% = sitepath %>" size="30" maxlength="75" onBlur="trimRight(this.value);"></td>
  </tr>

<!---Site Mini Menu Image--->

<tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Mini Menu Image<br> <span class="smText1">This Is The Mini Horizontal Menu Background Image</span></td>
   <td valign="top"><input name="minimenuimage" type="text" id="minimenuimage" value="<% = minimenuimage %>" size="18" maxlength="50" ></td>
  </tr>

<!---Site Page Bullet Image--->

<tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page Bullet Image<span class="smText2">&nbsp;
   Bullet Image:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="bulletonoff" value="Yes" <% If bulletonoff = "Yes" Then Response.Write "checked" %>> &nbsp;No 
   <input type="radio" value="No" <% If bulletonoff = "No" Then Response.Write "checked" %> name="bulletonoff"></span><br> <span class="smText1">This Is The Site Navigation Menu Bullet Image</span></td>
   <td valign="top"><input name="bullet" type="text" id="bullet" value="<% = bullet %>" size="18" maxlength="50" ></td>
  </tr>

<!---Site Launch--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Launch Date<br> <span class="smText1">This Is The Date Your Site Was Launched/Started</span></td>
   <td valign="top"><input name="sitelaunch" type="text" id="sitelaunch" value="<% = sitelaunch %>" size="30" maxlength="75" ></td>
  </tr>

<!---Site Copyright Year--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Copyright Year(s)<br> <span class="smText1">This Is The Copyright Year(s) That Appears At Page Bottom</span></td>
   <td valign="top"><input name="copyrightyear" type="text" id="copyrightyear" value="<% = copyrightyear %>" size="30" maxlength="75" ></td>
  </tr>

<!---Site Default Page Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Default(Home) Page Title<br> <span class="smText1">This Is Default(Home) Page Title</span></td>
   <td valign="top"><input name="pagedefaulttitle" type="text" id="pagedefaulttitle" value="<% = pagedefaulttitle %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 1 Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 1 Title<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Active:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="page1onoff" value="Yes" <% If page1onoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If page1onoff = "No" Then Response.Write "checked" %> name="page1onoff"></span><br>  
   <span class="smText1">This Is Page 1 Title</span></td>
   <td valign="top"><input name="page1title" type="text" id="page1title" value="<% = page1title %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 1 Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 1 Path<br> <span class="smText1">This Is Page 1 Path</span></td>
   <td valign="top"><input name="page1path" type="text" id="page1path" value="<% = page1path %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 2 Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 2 Title<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Active:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="page2onoff" value="Yes" <% If page2onoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If page2onoff = "No" Then Response.Write "checked" %> name="page2onoff"></span><br>  
   <span class="smText1">This Is Page 2 Title</span></td>
   <td valign="top"><input name="page2title" type="text" id="page2title" value="<% = page2title %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 2 Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 2 Path<br> <span class="smText1">This Is Page 2 Path</span></td>
   <td valign="top"><input name="page2path" type="text" id="page2path" value="<% = page2path %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 3 Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 3 Title<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Active:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="page3onoff" value="Yes" <% If page3onoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If page3onoff = "No" Then Response.Write "checked" %> name="page3onoff"></span><br>  
   <span class="smText1">This Is Page 3 Title</span></td>
   <td valign="top"><input name="page3title" type="text" id="page3title" value="<% = page3title %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 3 Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 3 Path<br> <span class="smText1">This Is Page 3 Path</span></td>
   <td valign="top"><input name="page3path" type="text" id="page3path" value="<% = page3path %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 4 Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 4 Title<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Active:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="page4onoff" value="Yes" <% If page4onoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If page4onoff = "No" Then Response.Write "checked" %> name="page4onoff"></span><br>  
   <span class="smText1">This Is Page 4 Title</span></td>
   <td valign="top"><input name="page4title" type="text" id="page4title" value="<% = page4title %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 4 Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 4 Path<br> <span class="smText1">This Is Page 4 Path</span></td>
   <td valign="top"><input name="page4path" type="text" id="page4path" value="<% = page4path %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 5 Title--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 5 Title<span class="smText2">&nbsp;&nbsp;&nbsp;&nbsp;
   Active:&nbsp;<span class="smText1">Yes 
   <input type="radio" name="page5onoff" value="Yes" <% If page5onoff = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If page5onoff = "No" Then Response.Write "checked" %> name="page5onoff"></span><br>  
   <span class="smText1">This Is Page 5 Title</span></td>
   <td valign="top"><input name="page5title" type="text" id="page5title" value="<% = page5title %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page 5 Path--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Page 5 Path<br> <span class="smText1">This Is Page 5 Path</span></td>
   <td valign="top"><input name="page5path" type="text" id="page5path" value="<% = page5path %>" size="30" maxlength="50" ></td>
  </tr>

<!---Site Page Titles--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Content Page Titles On/Off<br> <span class="smText1">These Are The Titles That Appear In The Page Content</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="pagetitles" value="On" <% If pagetitles = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If pagetitles = "Off" Then Response.Write "checked" %> name="pagetitles"></td>
  </tr>

<!---Site Mini Menu--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Mini Menu On/Off<br> <span class="smText1">This Is The Mini Menu Bar That Will Appear</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="minimenu" value="On" <% If minimenu = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If minimenu = "Off" Then Response.Write "checked" %> name="minimenu"></td>
  </tr>

<!---Site Menu GuestBook Link--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">GuestBook Link In Main Menu On/Off<br> <span class="smText1">This Will Show/Hide Link To GuestBook</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="guestbookon" value="On" <% If guestbookon = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If guestbookon = "Off" Then Response.Write "checked" %> name="guestbookon"></td>
  </tr>

<!---Site Menu Forum Link--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Forum Link In Main Menu On/Off<br> <span class="smText1">This Will Show/Hide Link To Forum</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="forumon" value="On" <% If forumon = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If forumon = "Off" Then Response.Write "checked" %> name="forumon"></td>
  </tr>

<!---Site Stats Box--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Stats Box On/Off<br> <span class="smText1">This Will Show/Hide The Site Stats Box</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="sitestats" value="On" <% If sitestats = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If sitestats = "Off" Then Response.Write "checked" %> name="sitestats"></td>
  </tr>

<!---Site Calendar Box--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Calendar Box On/Off<br> <span class="smText1">This Will Show/Hide The Site Calendar Box</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="nocalendar" value="On" <% If nocalendar = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If nocalendar = "Off" Then Response.Write "checked" %> name="nocalendar"></td>
  </tr>

<!---Site Google Search Box--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Google Search Box On/Off<br> <span class="smText1">This Will Show/Hide The Google Search Box</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="googleon" value="On" <% If googleon = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If googleon = "Off" Then Response.Write "checked" %> name="googleon"></td>
  </tr>

<!---Site Partners Box--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Partners Box On/Off<br> <span class="smText1">This Will Show/Hide The Site Partners Box</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="nopartners" value="On" <% If nopartners = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If nopartners = "Off" Then Response.Write "checked" %> name="nopartners"></td>
  </tr>

<!---Site Scheme Box--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Site Scheme Box On/Off<br> <span class="smText1">This Will Show/Hide The Site Scheme Box</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="noscheme" value="On" <% If noscheme = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If noscheme = "Off" Then Response.Write "checked" %> name="noscheme"></td>
  </tr>

<!---Round/Box Corners--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Round Corners View On/Off<br> <span class="smText1">This Will Turn Round Corners View Of Modules On/Off</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="roundview" value="On" <% If roundview = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If roundview = "Off" Then Response.Write "checked" %> name="roundview"></td>
  </tr>

<!---Split Forum--->
  
<tr bgcolor="#F5F5FA"> 
<td align="left" class="text">Split Forum Catagories Yes/No<br> <span class="smText1">This Will Separate/Join The Forums Catagories</span></td>
<td valign="top" class="text">Yes 
<input type="radio" name="blnseparateforums" value="Yes" <% If blnseparateforums = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No
<input type="radio" value="No" <% If blnseparateforums = "No" Then Response.Write "checked" %> name="blnseparateforums"></td>
</tr>

<!---Guestbook Members Only--->
  
<tr bgcolor="#F5F5FA"> 
<td align="left" class="text">Set Guestbook Members Only On/Off<br> <span class="smText1">This Will Enable/Disable Guestbook Members Only Posting</span></td>
<td valign="top" class="text">On 
<input type="radio" name="strGMembers" value="On" <% If strGMembers = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off
<input type="radio" value="Off" <% If strGMembers = "Off" Then Response.Write "checked" %> name="strGMembers"></td>
</tr>

<!---Chat Link--->
  
<tr bgcolor="#F5F5FA"> 
<td align="left" class="text">Set Chat Link On/Off<br> <span class="smText1">This Will Enable/Disable Chat Link In Main Menu</span></td>
<td valign="top" class="text">On 
<input type="radio" name="noChat" value="On" <% If noChat = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off
<input type="radio" value="Off" <% If noChat = "Off" Then Response.Write "checked" %> name="noChat"></td>
</tr>

<!---PageRank Feature--->
  
<tr bgcolor="#F5F5FA"> 
<td align="left" class="text">Set PageRank Feature On/Off<br> <span class="smText1">This Will Enable/Disable PageRank Feature On Your Site</span></td>
<td valign="top" class="text">On 
<input type="radio" name="prview" value="On" <% If prview = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off
<input type="radio" value="Off" <% If prview = "Off" Then Response.Write "checked" %> name="prview"></td>
</tr>

<% If blnMailActivate = "True" Then %>
<!---Admin Member Activate--->
  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Allow Admin Activate Of Site Membership Yes/No<br> <span class="smText1">This Will Allow Only The Site Admin To Approve Memberships</span><br></td>
   <td valign="center" class="text">Yes 
   <input type="radio" name="strAdminActivate" value="Yes" <% If strAdminActivate = "Yes" Then Response.Write "checked" %>> &nbsp;&nbsp;No 
   <input type="radio" value="No" <% If strAdminActivate = "No" Then Response.Write "checked" %> name="strAdminActivate"></td>
  </tr>
<% End If %>

 </table>

<br>

<!---2/3 Column Feature--->
<table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">
<tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>2 / 3 Column Page View</b></td>
  </tr>  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Home Page <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="homepage_3" value="On" <% If homepage_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If homepage_3 = "Off" Then Response.Write "checked" %> name="homepage_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">GuestBook Page <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="guestbook_3" value="On" <% If guestbook_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If guestbook_3 = "Off" Then Response.Write "checked" %> name="guestbook_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Main Forum Page <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="forum_3" value="On" <% If forum_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If forum_3 = "Off" Then Response.Write "checked" %> name="forum_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Page 1 <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="page1_3" value="On" <% If page1_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If page1_3 = "Off" Then Response.Write "checked" %> name="page1_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Page 2 <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="page2_3" value="On" <% If page2_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If page2_3 = "Off" Then Response.Write "checked" %> name="page2_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Page 3 <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="page3_3" value="On" <% If page3_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If page3_3 = "Off" Then Response.Write "checked" %> name="page3_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Page 4 <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="page4_3" value="On" <% If page4_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If page4_3 = "Off" Then Response.Write "checked" %> name="page4_3"></td>
  </tr>
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">Page 5 <b>:</b> 3 Column On/Off</td>
   <td valign="top" class="text">On 
   <input type="radio" name="page5_3" value="On" <% If page5_3 = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If page5_3 = "Off" Then Response.Write "checked" %> name="page5_3"></td>
  </tr>
</table>

<br>

<!---HTML Editor--->
<table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">
<tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>Page Contents HTML Editor</b></td>
  </tr>  
  <tr bgcolor="#F5F5FA"> 
   <td align="left" class="text">HTML Editor On/Off&nbsp;&nbsp;&nbsp;<span class="smText2">(IE 5.5+ for Windows Only!)</span><br> <span class="smText1">This will turn the HTML Editor on or off to edit the site pages</span></td>
   <td valign="top" class="text">On 
   <input type="radio" name="htmleditor" value="On" <% If htmleditor = "On" Then Response.Write "checked" %>> &nbsp;&nbsp;Off 
   <input type="radio" value="Off" <% If htmleditor = "Off" Then Response.Write "checked" %> name="htmleditor"></td>
  </tr>
</table>

<br>

<!--- UpDate --->

<table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">


  <tr bgcolor="#F5F5FA" align="center"> 
   <td valign="top" colspan="2" class="arial"> <p> 
     <input type="hidden" name="mode" value="change">    
     <input type="submit" name="Submit" value="Update Site Settings">
     <input type="reset" name="Reset" value="Reset Form">
    </p></td>
  </tr>
 </table>
</form>
<% If blnLCode1 = True Then %>
<!--- ***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ****** --->
<center><span class="smText"><a href="http://www.ezaspsite.com/donate.asp" target="_blank">Donate To The EzASPSite Project If You Feel It Has Helped You In Anyway</a></span></center>
<center>
<font class="smtext">Powered By <a href="http://www.ezaspsite.com" target="_top"><u>EzASPSite</u>&trade;</a>&nbsp;<% response.write version %></font>
</center>
<!--- ***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ****** --->
<% End If %>
</body>
</html>
