<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  EzASPSite
'**                                                              
'**  Copyright 2003-2004 VSBrown All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  and use it both privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to EzASPSite and Powered By EzASPSite link must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**    
'**  No official support is available for EzASPSite but you may post support questions at:
'**  http://www.ezaspsite.com/forum
'**
'****************************************************************************************
Const strDbTable2 = "tbl"
Const strDbProc2 = "wwfSp"
Dim rsCommon2
Dim adoCon2
Dim intActiveGuests1 
Dim intActiveUsers1 
Dim intActiveMembers1

'Database Type
strDatabaseType = "Access"
'strDatabaseType = "SQLServer"
%>
<%
Set adoCon2 = Server.CreateObject("ADODB.Connection")
'Set the connection string to the database
adoCon2.connectionstring = strCon

'Set an active connection to the Connection object
adoCon2.Open

'Read in the Forum configuration
'Intialise the ADO recordset object
Set rsCommon2 = Server.CreateObject("ADODB.Recordset")

'Initialise the SQL variable with an SQL statement to get the configuration details from the database
If strDatabaseType = "SQLServer" Then
	strSQL = "EXECUTE " & strDbProc2 & "SelectConfiguration"
Else
	strSQL = "SELECT TOP 1 tblConfiguration.* From tblConfiguration;"
End If

'Query the database
rsCommon2.Open strSQL, adoCon2

'If there is config details in the recordset then read them in
If NOT rsCommon2.EOF Then

	'read in the configuration details from the recordset
	
	blnActiveUsers = CBool(rsCommon2("Active_users"))
	
End If

'Close the recordset
rsCommon2.Close
                  
'Get the number of active users if enabled
If blnActiveUsers Then

'Sort the active users array
Call SortActiveUsersList(saryActiveUsers)

'Get the number of active users
'Get the active users online
For intArrayPass = 1 To UBound(saryActiveUsers, 2)
	
	'If this is a guest user then increment the number of active guests veriable
	If saryActiveUsers(1, intArrayPass) = 2 Then 	
			
		intActiveGuests1 = intActiveGuests + 1
	End If
		
Next 

'Calculate the number of members online and total people online
intActiveUsers1 = UBound(saryActiveUsers, 2)
intActiveMembers1 = intActiveUsers1 - intActiveGuests1
%>
<span class="smtext">  
      <b>People Online:&nbsp;&nbsp;<a href="<%= sitepath %>/forum/active_users.asp"><u><%= intActiveUsers1 %></u></a></b>
<%
End If
%>  
</span>