<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice
'**
'**  Web Wiz Guide - Web Wiz Forums
'**
'**  Copyright 2001-2004 Bruce Corkhill All Rights Reserved.
'**
'**  This program is free software; you can modify (at your own risk) any part of it
'**  under the terms of the License that accompanies this software and use it both
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even
'**  if it is modified or reverse engineered in whole or in part without express
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program;
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.info
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************
Response.Buffer = True

Dim intForumID			'Holds the forum ID number
Dim sqltext
Dim intActiveUsers		'Holds the number of active users
Dim intActiveGuests		'Holds the number of active guests
Dim intActiveMembers		'Holds the number of logged in active members
%>
<html>
<head>
<title><% response.write sitetitle %> : Calendar</title>

<!-- #include file="includes/dheader.asp" -->
<center>
<table width="<% = strTableVariableWidth %>" border="0" cellspacing="0" cellpadding="3" align="center">
 <tr> 
  <td align="left" class="heading">Calendar</td>
</tr>
 <tr> 
  <td align="left" width="71%" class="bold"><img src="<% = strImagePath %>open_folder_icon.gif" border="0" align="absmiddle">&nbsp;<a href="default.asp" target="_self" class="boldLink"><% = strMainForumName %></a><% = strNavSpacer %>Calendar<br /></td>
  </tr>
</table> <br />

<%

'If the user has not logged in display an error message
'If intGroupID = 2 Then

'		Response.Write vbCrLf & "<span class=""bold"">" & strTxtMustBeRegistered & "</span><br /><br />"
'		Response.Write vbCrLf & "<a href=""registration_rules.asp?FID=" & intForumID & """ target=""_self""><img src=""" & strImagePath & "register.gif""  alt=""" & strTxtRegister & """ border=""0"" align=""absmiddle""></a>&nbsp;&nbsp;<a href=""login_user.asp?FID=" & intForumID & """ target=""_self""><img src=""" & strImagePath & "login.gif""  alt=""" & strTxtLogin & """ border=""0"" align=""absmiddle""></a>"
'	Else 
%>

 <table width="<% = strTableVariableWidth %>" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="<% = strTableBorderColour %>" height="8">
  <tr>
   <td height="2" width="100%"><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="<% = strTableBgColour %>">
     <tr>
      <td bgcolor="<% = strTableBgColour %>"><table width="100%" border="0" align="center"  height="8" cellpadding="0" cellspacing="0">

        <tr bgcolor="<% = strTableColour %>" background="<% = strTableBgImage %>">
         <td align="left" width="57%"  height="2" bgcolor="<% = strTableColour %>" background="<% = strTableBgImage %>"> 
<%
' ***Begin Function Declaration***
' New and improved GetDaysInMonth implementation.
' Thanks to Florent Renucci for pointing out that I
' could easily use the same method I used for the
' revised GetWeekdayMonthStartsOn function.
Function GetDaysInMonth(iMonth, iYear)
	Dim dTemp
	dTemp = DateAdd("d", -1, DateSerial(iYear, iMonth + 1, 1))
	GetDaysInMonth = Day(dTemp)
End Function

' Previous implementation on GetDaysInMonth
Function GetDaysInMonth(iMonth, iYear)
	Select Case iMonth
		Case 1, 3, 5, 7, 8, 10, 12
			GetDaysInMonth = 31
		Case 4, 6, 9, 11
			GetDaysInMonth = 30
		Case 2
			If IsDate("February 29, " & iYear) Then
				GetDaysInMonth = 29
			Else
				GetDaysInMonth = 28
			End If
	End Select
End Function

Function GetWeekdayMonthStartsOn(dAnyDayInTheMonth)
	Dim dTemp
	dTemp = DateAdd("d", -(Day(dAnyDayInTheMonth) - 1), dAnyDayInTheMonth)
	GetWeekdayMonthStartsOn = WeekDay(dTemp)
End Function

Function SubtractOneMonth(dDate)
	SubtractOneMonth = DateAdd("m", -1, dDate)
End Function

Function AddOneMonth(dDate)
	AddOneMonth = DateAdd("m", 1, dDate)
End Function
' ***End Function Declaration***


Dim dDate     ' Date we're displaying calendar for
Dim iDIM      ' Days In Month
Dim iDOW      ' Day Of Week that month starts on
Dim iCurrent  ' Variable we use to hold current day of month as we write table
Dim iPosition ' Variable we use to hold current position in table


' Get selected date.  There are two ways to do this.
' First check if we were passed a full date in RQS("date").
' If so use it, if not look for seperate variables, putting them togeter into a date.
' Lastly check if the date is valid...if not use today
If IsDate(Request.QueryString("date")) Then
	dDate = CDate(Request.QueryString("date"))
Else
	If IsDate(Request.QueryString("month") & "-" & Request.QueryString("day") & "-" & Request.QueryString("year")) Then
		dDate = CDate(Request.QueryString("month") & "-" & Request.QueryString("day") & "-" & Request.QueryString("year"))
	Else
		dDate = Date()
		' The annoyingly bad solution for those of you running IIS3
		If Len(Request.QueryString("month")) <> 0 Or Len(Request.QueryString("day")) <> 0 Or Len(Request.QueryString("year")) <> 0 Or Len(Request.QueryString("date")) <> 0 Then
			Response.Write "The date you picked was not a valid date.  The calendar was set to today's date.<BR><BR>"
		End If
		' The elegant solution for those of you running IIS4
		'If Request.QueryString.Count <> 0 Then Response.Write "The date you picked was not a valid date.  The calendar was set to today's date.<BR><BR>"
	End If
End If

'Now we've got the date.  Now get Days in the choosen month and the day of the week it starts on.
iDIM = GetDaysInMonth(Month(dDate), Year(dDate))
iDOW = GetWeekdayMonthStartsOn(dDate)
'---------------------------------------------------------------------------
dim cnn,rst
set cnn = Server.CreateObject("ADODB.Connection")
set rst = Server.CreateObject("ADODB.RecordSet")
cnn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath(strEzDBPath2) ' "../db/ez.mdb"

%>
<TABLE CELLSPACING=0 CELLPADDING=0 width="100%" bgcolor="white">
<TR>
<TD>
<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=1 width="100%">
	<TR>
		<TD ALIGN="center" COLSPAN=7 bgcolor="<%=strTableColour %>">
			<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 width="100%">
				<TR>
					<!---<TD ALIGN="right"><A HREF="./calendar.asp?date=<%= SubtractOneMonth(dDate) %>"><FONT SIZE="-1">&lt;&lt;</FONT></A></TD>--->
                                        <TD ALIGN="right" bgcolor="<%=strTableColour %>"><A HREF="./calendar.asp?date=<%= SubtractOneMonth(MonthName(Month(dDate)) & "  " & Year(dDate)) %>"><img SRC="<% response.write strImagePath %>/prev2.gif" WIDTH="15" HEIGHT="15" BORDER="0" ALT="Previous Month" title="Previous Month"></A>
					<TD ALIGN="center" bgcolor="<%=strTableColour %>"><B><%= MonthName(Month(dDate)) & "  " & Year(dDate) %></B></TD>
                                        <TD ALIGN="left" bgcolor="<%=strTableColour %>"><A HREF="./calendar.asp?date=<%= AddOneMonth(MonthName(Month(dDate)) & "  " & Year(dDate)) %>"><img SRC="<% response.write strImagePath %>/next2.gif" WIDTH="15" HEIGHT="15" BORDER="0" ALT="Next Month" title="Next Month"></A></TD>
                                        <!---<TD ALIGN="left"><A HREF="./calendar.asp?date=<%= AddOneMonth(dDate) %>"><FONT SIZE="-1">&gt;&gt;</FONT></A></TD>--->
				</TR>
			</TABLE>
		</TD>
	</TR>
	<TR>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Sun</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Mon</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Tue</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Wed</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Thu</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Fri</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
		<TD ALIGN="center" bgcolor="<% = strTableBorderColour %>"><FONT COLOR=#FFFFFF><B>Sat</B></FONT><BR><IMG SRC="./images/spacer.gif" WIDTH=60 HEIGHT=1 BORDER=0></TD>
	</TR>
<%
' Write spacer cells at beginning of first row if month doesn't start on a Sunday.
If iDOW <> 1 Then
	Response.Write vbTab & "<TR>" & vbCrLf
	iPosition = 1
	Do While iPosition < iDOW
		Response.Write vbTab & vbTab & "<TD bgcolor="& strPastCalendarDayColor &">&nbsp;</TD>" & vbCrLf
		iPosition = iPosition + 1
	Loop
End If

' Write days of month in proper day slots
iCurrent = 1
iPosition = iDOW
Do While iCurrent <= iDIM
	' If we're at the begginning of a row then write TR
	If iPosition = 1 Then
		Response.Write vbTab & "<TR>" & vbCrLf
	End If
	
	' If the day we're writing is the selected day then highlight it somehow.	
        If Month(dDate) & "/" & iCurrent & "/" & Year(dDate) = Month(Date()) & "/" & Day(Date()) & "/" & Year(Date()) Then
		
                Response.Write vbTab & vbTab & "<TD BGCOLOR=" & strCurrentCalendarDayColor & "><FONT SIZE=""-1"">" & iCurrent & "<BR>"
	
        Else

		Response.Write vbTab & vbTab & "<TD bgcolor="& strTableColour &"><FONT SIZE=""-1"">" & iCurrent & "<BR>"
        End if

'Use this line if your date format is Month/Day/Year
   'If blnMDY = True Then 
 sqltext = "SELECT * FROM tblAuthor WHERE (DOB LIKE '" & Month(dDate) & "/" & iCurrent & "/%') or (DOB LIKE '0" & Month(dDate) & "/" & iCurrent & "/%') or (DOB LIKE '" & Month(dDate) &  "/0" & iCurrent & "/%') or (DOB LIKE '0" & Month(dDate) & "/0" & iCurrent & "/%')"
'Use this line if your date format is Day/Month/Year
   'Else
 'sqltext = "SELECT * FROM tblAuthor WHERE (DOB LIKE '" & iCurrent & "/" & Month(dDate) & "/%') or (DOB LIKE '0" & iCurrent & "/" & Month(dDate) & "/%') or (DOB LIKE '" & iCurrent & "/0" & Month(dDate) & "/%') or (DOB LIKE '0" & iCurrent & "/0" & Month(dDate) & "/%')"
   'End If

set rst = cnn.Execute(sqltext)
do until rst.EOF 
'Response.Write " " & rst("username") & "'s Bday<br>"
%>                                                                       
&nbsp;<img src="<%=strImagePath%>cake_icon.gif" border="0" alt="<%=rst("username")%>'s Birthday" title="<%=rst("username")%>'s Birthday">
<%
rst.MoveNext
Loop

'Use this line if your date format is Month/Day/Year Format
   If blnMDY = True Then
 sqltext = "SELECT * FROM tblCalendar WHERE (Date LIKE '" & Month(dDate) & "/" & iCurrent & "/%') or (Date LIKE '0" & Month(dDate) & "/" & iCurrent & "/%') or (Date LIKE '" & Month(dDate) &  "/0" & iCurrent & "/%') or (Date LIKE '0" & Month(dDate) & "/0" & iCurrent & "/%')"
'Use this line if your date format is Day/Month/Year Format
   Else
 sqltext = "SELECT * FROM tblCalendar WHERE(Date LIKE '" & iCurrent & "/" & Month(dDate) & "/%') or (Date LIKE '0" & iCurrent & "/" & Month(dDate) & "/%') or (Date LIKE '" & iCurrent & "/0" & Month(dDate) & "/%') or (Date LIKE '0" & iCurrent & "/0" & Month(dDate) & "/%')"
   End If
 
set rst = cnn.Execute(sqltext)
dim enda
do until rst.EOF

if intGroupID = 1 then
response.write "<a href='modifycalendarevent.asp?ID=" & rst("ID") & "'>"
enda = "</a>"

else

response.write "<a href='calendarevent.asp?ID=" & rst("ID") & "'>"
enda = "</a>"
end if

'response.write "<font color=""red""> " & rst("Event") & "</font><br>"
%>
&nbsp;<img src="<%=strImagePath%>thumbtack.gif" border="0" alt="<%=rst("Event")%>" title="<%=rst("Event")%>">
<%
response.write enda

rst.MoveNext
Loop

if Month(dDate) & "/" & iCurrent = "12/25" then
Response.Write "<font color=""green"">C</font><font color=""red"">h</font><font color=""green"">r</font><font color=""red"">i</font><font color=""green"">s</font><font color=""red"">t</font><font color=""green"">m</font><font color=""red"">a</font><font color=""green"">s</font>"
end if

		Response.Write "</FONT><BR><BR></TD>" & vbCrLf
	
	' If we're at the endof a row then write /TR
	If iPosition = 7 Then
		Response.Write vbTab & "</TR>" & vbCrLf
		iPosition = 0
	End If
	
	' Increment variables
	iCurrent = iCurrent + 1
	iPosition = iPosition + 1
Loop

' Write spacer cells at end of last row if month doesn't end on a Saturday.
If iPosition <> 1 Then
	Do While iPosition <= 7
		Response.Write vbTab & vbTab & "<TD bgcolor="& strFutureCalendarDayColor &">&nbsp;</TD>" & vbCrLf
		iPosition = iPosition + 1
	Loop
	Response.Write vbTab & "</TR>" & vbCrLf
End If
%>
</TABLE>
</TD>
</TR>
</TABLE>
      </table>
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>
    <form name="form1" action="calendar.asp" >
      <div align="left"> &nbsp;&nbsp;
<select name="day">
          <option value="1">1</option>
          <option>--------</option>
          <option value="1">1</option>
          <option value="2">2</option>
          <option value="3">3</option>
          <option value="4">4</option>
          <option value="5">5</option>
          <option value="6">6</option>
          <option value="7">7</option>
          <option value="8">8</option>
          <option value="9">9</option>
          <option value="10">10</option>
          <option value="11">11</option>
          <option value="12">12</option>
          <option value="13">13</option>
          <option value="14">14</option>
          <option value="15">15</option>
          <option value="16">16</option>
          <option value="17">17</option>
          <option value="18">18</option>
          <option value="19">19</option>
          <option value="20">20</option>
          <option value="21">21</option>
          <option value="22">22</option>
          <option value="23">23</option>
          <option value="24">24</option>
          <option value="25">25</option>
          <option value="26">26</option>
          <option value="27">27</option>
          <option value="28">28</option>
          <option value="29">29</option>
          <option value="30">30</option>
          <option value="31">31</option>
        </select>
        <select name="month">
          <option value="1">January</option>
          <option>--------</option>
          <option value="1">January</option>
          <option value="2">February</option>
          <option value="3">March</option>
          <option value="4">April</option>
          <option value="5">May</option>
          <option value="6">June</option>
          <option value="7">July</option>
          <option value="8">August</option>
          <option value="9">September</option>
          <option value="10">October</option>
          <option value="11">November</option>
          <option value="12">December</option>
        </select>
        <select name="year">
          <option value="2004">2004</option>
          <option>--------</option>
          <option value="2002">2002</option>
          <option value="2003">2003</option>
          <option value="2004">2004</option>
          <option value="2005">2005</option>
          <option value="2006">2006</option>
        </select>
        <input class="smtext" type="submit" name="Submit" value="Go"> 
<%
'Use this if you want only Administrators to be able to add events.
if intGroupID = 1 then
Response.Write "<a href='addcalendarevent.asp'>Add Event</a>"
end if

'Use this if you want all members to be able to add events.
'Response.Write "<a href='addcalendarevent.asp'>Add Event</a>"
%>
      </div>
    </form>
<br />
</center>
<!-- #include file="includes/footer.asp" -->
