<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="settings.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  EzASPSite
'**                                                              
'**  Copyright 2003-2004 VSBrown All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  and use it both privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to EzASPSite and Powered By EzASPSite link must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**    
'**  No official support is available for EzASPSite but you may post support questions at:
'**  http://www.ezaspsite.com/forum
'**
'****************************************************************************************
'Set the response buffer to true
Response.Buffer = True 

'Make sure this page is not cached
Response.Expires = -1
Response.ExpiresAbsolute = Now() - 2
Response.AddHeader "pragma","no-cache"
Response.AddHeader "cache-control","private"
Response.CacheControl = "No-Store"

Dim blnLCode1

'Variables
Dim strMode			'This Is The Page Mode	
Dim sitepath                    'This Is The Path To Your Site
Dim htmleditor                  'This Is The HTML Editor On/Off Feature				
Dim page5                       'This Is Page 5 Contents

'Pull Data From Database

'--------------------- Path And Name Of Database --------------------------------------------------------------------------------
strCon = "DRIVER={Microsoft Access Driver (*.mdb)}; DBQ=" & Server.MapPath(strEzDBPath3) ' "../../db/ez.mdb"

'Alternative Drivers Faster Than The Default One Above
'strCon = "Provider=Microsoft.Jet.OLEDB.3.51; Data Source=" & Server.MapPath("../db/ez.mdb") 'This one is if you convert the database to Access 97
'strCon = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & Server.MapPath("../db/ez.mdb")  'This one is for Access 2000/2002

'If you wish to use DSN then comment out the driver above and uncomment the line below (DSN is slower than the above drivers)
'strCon = "DSN = DSN_NAME" 'Place the DSN where you see DSN_NAME

'NOTE: For extra security it is highly recommended you change the name of the database, db/ez.mdb, to another name and then
'replace the db/ez.mdb found above with the name you changed the EzASPSite database to.
'---------------------------------------------------------------------------------------------------------------------------------------------

'Read In The Site Details

page5 = Request.Form("page5")

strMode = Request.Form("mode")

Set rsCommon = Server.CreateObject("ADODB.Recordset")
strSQL = "SELECT tblSettings.* From tblsettings;"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3
	
'Query the database
rsCommon.Open strSQL, strCon

'If Changing Site Settings Then Update Database
If strMode = "change" Then
	
	'Update the recordset
	 With rsCommon

                .Fields("page5") = page5
          					
		'Update the database with the new site settings
		.Update
			
		'Re-run the query to read in the updated recordset from the database
		.Requery
	End With	
End If

'Read In The Site Settings From Database
If NOT rsCommon.EOF Then

        page5 = rsCommon("page5")
        htmleditor = rsCommon("htmleditor")
	sitepath = rsCommon("sitepath")

End If

'Reset Server Objects
rsCommon.Close

Set rsCommon = Server.CreateObject("ADODB.Recordset")
strSQL = "SELECT tblHitCount.* From tblHitCount;"
rsCommon.Open strSQL, strCon

If Not rsCommon.EOF Then

blnLCode1 = CBool(rsCommon("L_Code"))

End If
rsCommon.close
%>
<html>
<head>
<title>Site Settings</title>
<!-- EzASPSite is written and produced by VSBrown 2003 --> 
<!-- You can download EzASPSite at http://www.ezaspsite.com -->

<!-- Link script file to the HTML document in the header for color picker -->
<script language=JavaScript src="color/picker.js"></script>

<!-- For HTML Editor -->
<script language="Javascript1.2"><!-- // load htmlarea
_editor_url = "htmlarea/";                     // URL to htmlarea files
var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
if (win_ie_ver >= 5.5) {
 document.write('<scr' + 'ipt src="' +_editor_url+ 'editor.js"');
 document.write(' language="Javascript1.2"></scr' + 'ipt>');  
} else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
// --></script> 
<!-- For HTML Editor -->

<!-- Check That Site Settings Are All Entered -->
<script  language="JavaScript">
<!-- Hide from older browsers...

//Function to check form is filled in correctly before submitting
function CheckForm () {

        //Check for page 5 contents
	if (document.SiteSettings.page5.value==""){
		alert("Please enter page 5 contents");
		document.SiteSettings.page5.focus();
		return false;
	}

	return true
}
// -->
</script>
<script language="JavaScript" src="../includes/default_javascript.js" type="text/javascript"></script>
<link href="style.css" rel="stylesheet" type="text/css">
</head>
<body bgcolor="#F5F5FA" text="#000000" background="../admin/images/main_bg.gif">

<div align="center">
 <p class="text"><span class="heading">Page 5 Contents</span> <br />
  <a href="<% = sitepath %>" target="_top">Return To Home Page</a>
  </p>
</div>
<form method="post" name="SiteSettings" action="page5.asp<%=strGoQuery %>" onSubmit="return CheckForm();">

<!---Begin Page Contents--->

<table border="0" align="center" cellpadding="4" cellspacing="1" width="80%" bgcolor="#000000">
  <tr bgcolor="#CCCEE6"> 
   <td colspan="2" align="center" class="tHeading"><b>Page Contents</b></td>
  </tr>

<!---Page 5 Contents--->
<tr bgcolor="#F5F5FA">
   <td align="center" class="text">Page 5 Contents<br> <span class="smText1">This Is The Contents Of Page 5</span></td>
  </tr>
<tr bgcolor="#F5F5FA"> 
      <td align="center" colspan="2" align="left" class="text">
<textarea name="page5" cols="65" rows="10" id="page5"><% = page5 %></textarea>
<% If htmleditor = "On" Then %>
<script language="JavaScript1.2" defer>
editor_generate('page5');
</script>
<% End If %>
</td>
    </tr>
</table>

<br>

<!--- UpDate --->

<table border="0" align="center" cellpadding="4" cellspacing="1" width="95%" bgcolor="#000000">

  <tr bgcolor="#F5F5FA" align="center"> 
   <td valign="top" colspan="2" class="arial"> <p> 
     <input type="hidden" name="mode" value="change">    
     <input type="submit" name="Submit" value="Update Site Settings">
<!---<input type="reset" name="Reset" value="Reset Form">--->
    </p></td>
  </tr>
 </table>
</form>
<% If blnLCode1 = True Then %>
<!--- ***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ****** --->
<center><span class="smText"><a href="http://www.ezaspsite.com/donate.asp" target="_blank">Donate To The EzASPSite Project If You Feel It Has Helped You In Anyway</a></span></center>
<center>
<font class="smtext">Powered By <a href="http://www.ezaspsite.com" target="_top"><u>EzASPSite</u>&trade;</a>&nbsp;<% response.write version %></font>
</center>
<!--- ***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ****** --->
<% End If %>
</body>
</html>
