<%
'****************************************************************************************
'**  Copyright Notice
'**
'**  Web Wiz Guide - Web Wiz Forums
'**
'**  Copyright 2001-2004 Bruce Corkhill All Rights Reserved.
'**
'**  This program is free software; you can modify (at your own risk) any part of it
'**  under the terms of the License that accompanies this software and use it both
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even
'**  if it is modified or reverse engineered in whole or in part without express
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program;
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.info
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************
'----------------------------------------------------
'Next Calendar Page Changer
'----------------------------------------------------
'Dim saryQueryString, tmpQueryString, strQueryString, strQueryString1, strScriptLocation	
strScriptLocation = Request.ServerVariables("SCRIPT_NAME")
saryQueryString = Split(Request.QueryString,"&")
saryQueryString = Filter(saryQueryString, "date=", False, vbTextCompare)
tmpQueryString = join(saryQueryString, "&")
If Len(tmpQueryString)>0 Then
   strQueryString1 = "" & join(saryQueryString, "&")
   strQueryString = strQueryString1 & "&"
Else
   saryQueryString = Filter(saryQueryString, "?", False, vbTextCompare)
   tmpQueryString = join(saryQueryString, "&")
   strQueryString = tmpQueryString
End If
'----------------------------------------------------

' ***Begin Function Declaration***
' New and improved GetDaysInMonth implementation.
' Thanks to Florent Renucci for pointing out that I
' could easily use the same method I used for the
' revised GetWeekdayMonthStartsOn function.
Function GetDaysInMonth(iMonth, iYear)
	Dim dTemp1
	dTemp1 = DateAdd("d", -1, DateSerial(iYear, iMonth + 1, 1))
	GetDaysInMonth = Day(dTemp1)
End Function

' Previous implementation on GetDaysInMonth
Function GetDaysInMonth(iMonth, iYear)
	Select Case iMonth
		Case 1, 3, 5, 7, 8, 10, 12
			GetDaysInMonth = 31
		Case 4, 6, 9, 11
			GetDaysInMonth = 30
		Case 2
			If IsDate("February 29, " & iYear) Then
				GetDaysInMonth = 29
			Else
				GetDaysInMonth = 28
			End If
	End Select
End Function

Function GetWeekdayMonthStartsOn(dAnyDayInTheMonth)
	Dim dTemp1
	dTemp1 = DateAdd("d", -(Day(dAnyDayInTheMonth) - 1), dAnyDayInTheMonth)
	GetWeekdayMonthStartsOn = WeekDay(dTemp1)
End Function

Function SubtractOneMonth(dDate1)
	SubtractOneMonth = DateAdd("m", -1, dDate1)
End Function

Function AddOneMonth(dDate1)
	AddOneMonth = DateAdd("m", 1, dDate1)
End Function
' ***End Function Declaration***
'Dim dDate1     ' Date we're displaying calendar for
'Dim iDIM1      ' Days In Month
'Dim iDOW1      ' Day Of Week that month starts on
'Dim iCurrent1  ' Variable we use to hold current day of month as we write table
'Dim iPosition1 ' Variable we use to hold current position in table
'Dim daybgcolor1
'Dim eventlink1
'Dim enda1
'Dim sqltext1

' Get selected date.  There are two ways to do this.
' First check if we were passed a full date in RQS("date").
' If so use it, if not look for seperate variables, putting them togeter into a date.
' Lastly check if the date is valid...if not use today
If IsDate(Request.QueryString("date")) Then
	dDate1 = CDate(Request.QueryString("date"))
Else
	If IsDate(Request.QueryString("month") & "-" & Request.QueryString("day") & "-" & Request.QueryString("year")) Then
		dDate1 = CDate(Request.QueryString("month") & "-" & Request.QueryString("day") & "-" & Request.QueryString("year"))
	Else
		dDate1 = Date()
		' The annoyingly bad solution for those of you running IIS3
		If Len(Request.QueryString("month")) <> 0 Or Len(Request.QueryString("day")) <> 0 Or Len(Request.QueryString("year")) <> 0 Or Len(Request.QueryString("date")) <> 0 Then
			Response.Write "The date you picked was not a valid date.  The calendar was set to today's date.<BR><BR>"
		End If
		' The elegant solution for those of you running IIS4
		'If Request.QueryString.Count <> 0 Then Response.Write "The date you picked was not a valid date.  The calenda1r was set to today's date.<BR><BR>"
	End If
End If

'Now we've got the date.  Now get Days in the choosen month and the day of the week it starts on.
iDIM1 = GetDaysInMonth(Month(dDate1), Year(dDate1))
iDOW1 = GetWeekdayMonthStartsOn(dDate1)
'---------------------------------------------------------------------------
'dim cnn1,rst1
set cnn1 = Server.CreateObject("ADODB.Connection")
set rst1 = Server.CreateObject("ADODB.RecordSet")
cnn1.Open strCon

%> 
<table width="90%" border="0" cellspacing="0" cellpadding="1" align="center" bgcolor="<% = strTableBorderColour %>" height="8">
  <tr>
   <td height="2" width="100%">
       <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="<% = strTableBgColour %>">
        <tr bgcolor="<% = strTableColour %>" background="<% = strTableBgImage %>">
         <td align="left" width="57%"  height="2" bgcolor="<% = strTableColour %>" background="<% = strTableBgImage %>"> 

<TABLE align="center" CELLSPACING=0 CELLPADDING=0 width="100%" bgcolor="white">
<TR>
<TD>
<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=1 width="100%">
	<TR>
		<TD ALIGN="center" COLSPAN=7 bgcolor="<%=strTableColour %>">


			<TABLE width="100%" BORDER=0 CELLSPACING=0 CELLPADDING=0>
				<TR>
                                        <TD ALIGN="left" height="15"bgcolor="<%=strTableColour %>"><A HREF="<% response.write strScriptLocation %>?<% response.write strQueryString %>date=<%= SubtractOneMonth(MonthName(Month(dDate1)) & "  " & Year(dDate1)) %>"><img SRC="<% response.write strImagePath %>/prev.gif" WIDTH="10" HEIGHT="15" BORDER="0" ALT="Previous Month" title="Previous Month">&nbsp;&nbsp;&nbsp;</A>
					<!--<TD ALIGN="center" height="15" class="smtext" bgcolor="<%=strTableColour %>" style="font-size: 9px;"><B><%= MonthName(Month(dDate1),True) %>&nbsp;<%= Year(dDate1) %></B></TD>-->
                                        <TD ALIGN="center" height="15" class="smtext" bgcolor="<%=strTableColour %>" style="font-size: 9px;"><B><%= MonthName(Month(dDate1)) %>&nbsp;<%= Year(dDate1) %></B></TD>
                                        <TD ALIGN="right" height="15" bgcolor="<%=strTableColour %>"><A HREF="<% response.write strScriptLocation %>?<% response.write strQueryString %>date=<%= AddOneMonth(MonthName(Month(dDate1)) & "  " & Year(dDate1)) %>">&nbsp;&nbsp;&nbsp;<img SRC="<% response.write strImagePath %>/next.gif" WIDTH="10" HEIGHT="15" BORDER="0" ALT="Next Month" title="Next Month"></A></TD>
				</TR>
			</TABLE>
		</TD>
	</TR>

        <TR>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>S</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>M</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>T</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>W</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>T</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>F</B></FONT></TD>
		<TD class="smtext" ALIGN="center" bgcolor="<% = strTableBorderColour %>" style="font-size: 9px;"><FONT COLOR=#FFFFFF><B>S</B></FONT></TD>
	</TR>

<%
' Write spacer cells at beginning of first1 row if month doesn't start on a Sunday.
If iDOW1 <> 1 Then
	Response.Write vbTab & "<TR>" & vbCrLf
	iPosition1 = 1
	Do While iPosition1 < iDOW1
		Response.Write vbTab & vbTab & "<TD bgcolor="& strPastCalendarDayColor &" height=""20"">&nbsp;</TD>" & vbCrLf
		iPosition1 = iPosition1 + 1
	Loop
End If

' Write days of month in proper day slots
iCurrent1 = 1
iPosition1 = iDOW1
Do While iCurrent1 <= iDIM1
	' If we're at the begginning of a row then write TR
	If iPosition1 = 1 Then
		Response.Write vbTab & "<TR>" & vbCrLf
	End If
	
'If there is an event on the day, highlight it
'Use this line if your date format is Month/Day/Year Format
   If blnMDY = True Then 
 sqltext1 = "SELECT * FROM tblCalendar WHERE (Date LIKE '" & Month(dDate1) & "/" & iCurrent1 & "/%') or (Date LIKE '0" & Month(dDate1) & "/" & iCurrent1 & "/%') or (Date LIKE '" & Month(dDate1) &  "/0" & iCurrent1 & "/%') or (Date LIKE '0" & Month(dDate1) & "/0" & iCurrent1 & "/%')"
'Use this line if your date format is Day/Month/Year Format
   Else
 sqltext1 = "SELECT * FROM tblCalendar WHERE(Date LIKE '" & iCurrent1 & "/" & Month(dDate1) & "/%') or (Date LIKE '0" & iCurrent1 & "/" & Month(dDate1) & "/%') or (Date LIKE '" & iCurrent1 & "/0" & Month(dDate1) & "/%') or (Date LIKE '0" & iCurrent1 & "/0" & Month(dDate1) & "/%')"
   End If

set rst1 = cnn1.Execute(sqltext1)

do until rst1.EOF
if rst1("Event") > "" then
eventlink1 = "yes"
enda1 = "</a>"
exit do
else
end if
rst1.movenext
loop

	' If the day we're writing is the selected day then highlight it somehow.
	If Month(dDate1) & "/" & iCurrent1 & "/" & Year(dDate1) = Month(Date()) & "/" & Day(Date()) & "/" & Year(Date()) Then
		Response.Write vbTab & vbTab & "<TD height=""20"" align=""center"" bgcolor=" & strCurrentCalendarDayColor & ">"
if eventlink1="yes" then %>
<a href="<% response.write sitepath %>/forum/calendarevent.asp?ID=<% = rst1("ID") %>">
<% 
                Response.Write "<FONT class=""smtext2"" style=""font-size: 9px;""><b>" & iCurrent1 & enda1 & "</b>"
else
		Response.Write "<FONT class=""smtext"" style=""font-size: 9px;""><b>" & iCurrent1 & enda1 & "</b>"
end if

eventlink1 = ""
enda1 = ""
daybgcolor1 = ""
	Else

		Response.Write vbTab & vbTab & "<TD bgcolor="& strTableColour &" height=""20"" align=""center"">"
if eventlink1="yes" then %>
<a href="<% response.write sitepath %>/forum/calendarevent.asp?ID=<% = rst1("ID") %>">
<% 
                Response.Write "<FONT class=""smtext2"" style=""font-size: 9px;""><b>" & iCurrent1 & enda1 & "</b>"
else
		Response.Write "<FONT class=""smtext"" style=""font-size: 9px;"">" & iCurrent1 & enda1 & ""
end if

eventlink1 = ""
enda1 = ""
daybgcolor1 = ""
	End if

		Response.Write "</FONT><BR></TD>" & vbCrLf	
	
	' If we're at the endof a row then write /TR
	If iPosition1 = 7 Then
		Response.Write vbTab & "</TR>" & vbCrLf
		iPosition1 = 0
	End If
	
	' Increment variables
	iCurrent1 = iCurrent1 + 1
	iPosition1 = iPosition1 + 1
Loop

' Write spacer cells at end of last row if month doesn't end on a Saturday.
If iPosition1 <> 1 Then
	Do While iPosition1 <= 7
		Response.Write vbTab & vbTab & "<TD bgcolor="& strFutureCalendarDayColor &" height=""20"">&nbsp;</TD>" & vbCrLf
		iPosition1 = iPosition1 + 1
	Loop
	Response.Write vbTab & "</TR>" & vbCrLf
End If
%>
</table>
</table>
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>
<br>
<center>
<a href="<% response.write sitepath %>/forum/calendar.asp">Full Calendar</a>
</center>