<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  EzASPSite
'**                                                              
'**  Copyright 2003-2004 VSBrown All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  and use it both privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to EzASPSite and Powered By EzASPSite link must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**    
'**  No official support is available for EzASPSite but you may post support questions at:
'**  http://www.ezaspsite.com/forum
'**
'****************************************************************************************
Const strDbTable1 = "tbl"
Const strDbProc1 = "wwfSp"

lngLoggedInUserID = 2

Dim strDaPath, strDaPathContents, strDaCheck, strDatabaseType1
strDaPath = Request.ServerVariables("SCRIPT_NAME")

'Checks To See If We Are On A Guestbook Page
strDaPathContents = InStr(1, strDaPath, "guestbook")

If strDaPathContents > 0 Then

strDaCheck = True

Else

strDaCheck = False

End If

'Checks To See If We Are On A Forum Page
strDaPathContents = InStr(1, strDaPath, "forum")

If strDaPathContents > 0 Then

strDaCheck = False

Else

strDaCheck = True

End If

If strDaCheck = True Then 

'********************************************
'*** 		 Format SQL input	*****
'********************************************

'Format SQL Query funtion
Private Function formatSQLInput(ByVal strInputEntry)

	'Remove malisous charcters from links and images
	strInputEntry = Replace(strInputEntry, "<", "&lt;")
	strInputEntry = Replace(strInputEntry, ">", "&gt;")
	strInputEntry = Replace(strInputEntry, "[", "&#091;")
	strInputEntry = Replace(strInputEntry, "]", "&#093;")
	strInputEntry = Replace(strInputEntry, """", "", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "=", "&#061;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "'", "''", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "select", "sel&#101;ct", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "join", "jo&#105;n", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "union", "un&#105;on", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "where", "wh&#101;re", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "insert", "ins&#101;rt", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "delete", "del&#101;te", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "update", "up&#100;ate", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "like", "lik&#101;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "drop", "dro&#112;", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "create", "cr&#101;ate", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "modify", "mod&#105;fy", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "rename", "ren&#097;me", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "alter", "alt&#101;r", 1, -1, 1)
	strInputEntry = Replace(strInputEntry, "cast", "ca&#115;t", 1, -1, 1)

	'Return
	formatSQLInput = strInputEntry
End Function

'This Is For When Appearing On A GuestBook Page
'And Also
'This Is For When Appearing On Any Other Page In EzASPSite
'Read in users ID number from the cookie
Const strCookieName = "WWF"
Dim strLoggedInUsername
Dim intGroupID

'Read in users ID number from the cookie
strLoggedInUserCode = Trim(Mid(Request.Cookies(strCookieName)("UID"), 1, 44))

'If a cookie exsists on the users system then read in there username from the database
If strLoggedInUserCode <> "" Then

	'Make the usercode SQL safe
	strLoggedInUserCode = formatSQLInput(strLoggedInUserCode)

	'Initalise the strSQL variable with an SQL statement to query the database
	If strDatabaseType = "SQLServer" Then
		strSQL = "EXECUTE " & strDbProc & "ChkUserID @strUserID = '" & strLoggedInUserCode & "'"
	Else
		strSQL = "SELECT tblAuthor.Username, tblAuthor.Author_ID, tblAuthor.Group_ID, tblAuthor.Active, tblAuthor.Signature, tblAuthor.Author_email, tblAuthor.Date_format, tblAuthor.Time_offset, tblAuthor.Time_offset_hours, tblAuthor.Reply_notify, tblAuthor.Attach_signature, tblAuthor.Rich_editor, tblAuthor.Last_visit "
		strSQL = strSQL & "FROM tblAuthor "
		strSQL = strSQL & "WHERE tblAuthor.User_code = '" & strLoggedInUserCode & "';"
	End If

	'Query the database
	rsCommon.Open strSQL, strCon

	'If the database has returned a record then run next bit
	If NOT rsCommon.EOF Then

		'Read in the users details from the recordset
		strLoggedInUsername = rsCommon("Username")
		intGroupID  = rsCommon("Group_ID")
		lngLoggedInUserID = CLng(rsCommon("Author_ID"))
		
	End If

	'Clean up
	rsCommon.Close
End If

End If 
%>