<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Guide Guestbook
'**                                                              
'**  Copyright 2001-2003 Bruce Corkhill All Rights Reserved.                                
'**
'**  This program is free software; you can modify (at your own risk) any part of it 
'**  under the terms of the License that accompanies this software and use it both 
'**  privately and commercially.
'**
'**  All copyright notices must remain in tacked in the scripts and the 
'**  outputted HTML.
'**
'**  You may use parts of this program in your own private work, but you may NOT
'**  redistribute, repackage, or sell the whole or any part of this program even 
'**  if it is modified or reverse engineered in whole or in part without express 
'**  permission from the author.
'**
'**  You may not pass the whole or any part of this application off as your own work.
'**   
'**  All links to Web Wiz Guide and powered by logo's must remain unchanged and in place
'**  and must remain visible when the pages are viewed unless permission is first granted
'**  by the copyright holder.
'**
'**  This program is distributed in the hope that it will be useful,
'**  but WITHOUT ANY WARRANTY; without even the implied warranty of
'**  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR ANY OTHER 
'**  WARRANTIES WHETHER EXPRESSED OR IMPLIED.
'**
'**  You should have received a copy of the License along with this program; 
'**  if not, write to:- Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom.
'**    
'**
'**  No official support is available for this program but you may post support questions at: -
'**  http://www.webwizguide.info/forum
'**
'**  Support questions are NOT answered by e-mail ever!
'**
'**  For correspondence or non support questions contact: -
'**  info@webwizguide.com
'**
'**  or at: -
'**
'**  Web Wiz Guide, PO Box 4982, Bournemouth, BH8 8XP, United Kingdom
'**
'****************************************************************************************

'Set the response buffer to true as we maybe redirecting
Response.Buffer = True



'If the session variable is False or does not exsist then redirect the user to the unauthorised user page
If Session("blnIsUserGood") = False or IsNull(Session("blnIsUserGood")) = True then
	
	'Reset Server Variables
	Set rsCommon = Nothing	
	adoCon.Close
	Set adoCon = Nothing
	
	'Redirect to unathorised user page
	Response.Redirect"unauthorised_user_page.htm"
End If


'Dimension variables
Dim intMessageID 		'Holds the messageID number
Dim strName 			'Holds the Users name
Dim strCountry 			'Holds the users country
Dim strEmailAddress 		'Holds the Users e-mail address
Dim strHomepage 		'Holds the Users homepage
Dim strComments 		'Holds the Users comments
Dim strEntryDate 		'Holds the date the commnets where made
Dim strIPAddr			'Holds the users IP address
Dim intRecordPositionPageNum 	'Holds the record position
Dim intRecordLoopCounter 	'Loop counter for displaying the guestbook records
Dim intTotalNumGuestbookEntries 'Holds the total number of records in the database
Dim intTotalNumGuestbookPages 	'Holds the total number of pages in the database
Dim intLinkPageNum 		'Holds the page number to be linked to


'If this is the first time the page is displayed then the guestbook record position is set to page 1
If Request.QueryString("PagePosition") = "" Then
	intRecordPositionPageNum = 1

'Else the page has been displayed before so the guestbook record postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PagePosition"))
End If	


	
'Initalise the strSQL variable with an SQL statement to query the database by selecting all tables ordered by the decending date
strSQL = "SELECT * FROM " & strDbTable & "Comments ORDER BY Date_stamp DESC;"

'Set the cursor type property of the record set to dynamic so we can naviagate through the record set
rsCommon.CursorType = 3
	
'Query the database
rsCommon.Open strSQL, adoCon

'Set the number of records to display on each page by the constant set at the top of the script
rsCommon.PageSize = intRecordsPerPage
	
'Get the guestbook record poistion to display from
If NOT rsCommon.EOF Then rsCommon.AbsolutePage = intRecordPositionPageNum

%>
<html> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Amend or Delete Comments</title>

<!-- The Web Wiz Guestbook v. <% = strVersion %> is written by Bruce Corkhill 2001-2003
    	 If you want your Guestbook then goto http://www.webwizguide.info --> 

</head>
<body  background="../forum/admin/images/main_bg.gif" bgcolor="#FFFFFF" text="#000000">
<div align="center"> 
  <h1>Amend or Delete Comments</h1>
  <form name="DeleteForm" method="post" action="delete_comments.asp?PagePosition=<% = intRecordPositionPageNum %>">
    <a href="admin_menu.asp" target="_self">Return to the Guestbook Admin Menu</a><br>
    <br>
    <%

'If there are no rcords in the database display an error message
If rsCommon.EOF Then

	'If the page position is not 1 and were at the end of the recordset then redirect to the first page
	If intRecordPositionPageNum > 1 Then Response.Redirect "comments_admin.asp?PagePosition=1"
	
	'Tell the user there are no records to show
	Response.Write "There are no records in the guestbook database"
	Response.Write "<br>Please check back later"
	Response.End
	
'Display the guestbook
Else
	
	'Count the number of enties in the guestbook database
	intTotalNumGuestbookEntries = rsCommon.RecordCount	
	
	'Count the number of pages there are in the guestbook database calculated by the PageSize attribute set above
	intTotalNumGuestbookPages = rsCommon.PageCount


	'Display the HTML number number the total number of pages and total number of records in the guestbook database
	Response.Write vbCrLf & "	<table width=""100%"" border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"">"
	Response.Write vbCrLf & " 	  <tr>"
	Response.Write vbCrLf & " 	    <td align=""center"">"
	Response.Write vbCrLf & "	      Click on message number to amend entry<br>Put tick in check boxes and press the 'Delete Selected Entries' button to delete comments<br><br>"
	Response.Write vbCrLf & "	      There are " & intTotalNumGuestbookEntries & " guestbook entries in " & intTotalNumGuestbookPages & " pages and your are on page number " & intRecordPositionPageNum
	Response.Write vbCrLf & "	    </td>"
	Response.Write vbCrLf & "	  </tr>"
	Response.Write vbCrLf & "	</table>"
	Response.Write vbCrLf & "	<br>"

	
	' loop through the records in the GuestBook database and show the infomation
  	' using a Do While...Loop statement
      	For intRecordLoopCounter = 1 to intRecordsPerPage
      	
      		'If there are no guestbook records left to display then exit loop
		If rsCommon.EOF Then Exit For
      		
      		'Read in the values form the database	
      		intMessageID = rsCommon("MessageID")
      		strName = rsCommon("Name")
      		strCountry = rsCommon("Country")
	      	strEmailAddress = rsCommon("EMail")
	      	strEntryDate = rsCommon("Date_stamp")
	      	strHomepage = rsCommon("Homepage")
	      	strComments = rsCommon("Comments")
	      	strIPAddr = rsCommon("IP")
	      	
	      	'If there is no homepage don't display http://	
	     	If strHomepage = "http://" then strHomepage = ""
	      	

		'Display the guestbook in HTML
		Response.Write vbCrLf & "    <table width=""90%"" border=""0"" align=""center"">"
		Response.Write vbCrLf & "      <tr>"
		Response.Write vbCrLf & "        <td width=""6%"" valign=""top"" align=""center"" height=""80"">" 				
		Response.Write vbCrLf & "          <input type=""checkbox"" name=""chkMessageID"" value="" " & intMessageID & " "">"
		Response.Write vbCrLf & "          <br>"
		Response.Write vbCrLf & "        </td>"
		Response.Write vbCrLf & "        <td width=""94%"" height=""80"" valign=""top""><a href=""amend_comments_admin.asp?amend=" & intMessageID & "&PagePosition=" & intRecordPositionPageNum & """ target=""_self"">Message Number:  " & intMessageID &"</a> "
		Response.Write vbCrLf & "          <br>"
		Response.Write vbCrLf & "          Comments by: " & strName & " on  " & strEntryDate & " <br>"
		Response.Write vbCrLf & "          IP Address:  " & strIPAddr & "<br>"
		Response.Write vbCrLf & "          Country:  " & strCountry & "<br>"
		Response.Write vbCrLf & "          E-mail:  " & strEmailAddress & "<br>"
		Response.Write vbCrLf & "          Homepage at: <a href="" " & strHomepage & """ target=""_blank""> " & strHomepage & " </a>" 
		Response.Write vbCrLf & "          <br>"
		Response.Write vbCrLf & "           " & strComments & " </td>"
		Response.Write vbCrLf & "      </tr>"
		Response.Write vbCrLf & "    </table>"
		Response.Write vbCrLf & "    <br>"
    
      		' Move to the next record
	   	rsCommon.MoveNext
   	
	Next
	
	
End If
%>
    <table width="90%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="center"> <b>Check Box's to delete messages</b> <br>
          <input type="submit" name="cmdDelete" value="Delete Selected Entries">
        </td>
      </tr>
    </table>
    <br>
  </form>
</div>
<%
'Display an HTML table with links to the other entries in the guestbook
Response.Write vbCrLf & "	<table width=""100%"" border=""0"" cellspacing=""0"" cellpadding=""0"" align=""center"">"
Response.Write vbCrLf & " 	  <tr>"
Response.Write vbCrLf & " 	    <td>"
Response.Write vbCrLf & "		<table width=""100%"" border=""0"" cellpadding=""0"" cellspacing=""0"">"
Response.Write vbCrLf & "		  <tr>"
Response.Write vbCrLf & "		    <td width=""50%"" align=""center"">"

'If there are more pages to display then add a title to the other pages
If intRecordPositionPageNum > 1 or NOT rsCommon.EOF Then
	Response.Write vbCrLf & "		Page:&nbsp;&nbsp;"
End If

'If the guestbook page number is higher than page 1 then display a back link    	
If intRecordPositionPageNum > 1 Then 
	Response.Write vbCrLf & "		 <a href=""comments_admin.asp?PagePosition=" &  intRecordPositionPageNum - 1  & """ target=""_self"">&lt;&lt;&nbsp;Prev&nbsp;&nbsp;</a> "   	     	
End If     	


'If there are more pages to display then display links to all the pages
If intRecordPositionPageNum > 1 or NOT rsCommon.EOF Then 
	
	'Display a link for each page in the guestbook     	
	For intLinkPageNum = 1 to intTotalNumGuestbookPages		
		
		'If the page to be linked to is the page displayed then don't make it a hyper-link
		If intLinkPageNum = intRecordPositionPageNum Then
			Response.Write vbCrLf & "		     " & intLinkPageNum
		Else
		
			Response.Write vbCrLf & "		     <a href=""comments_admin.asp?PagePosition=" &  intLinkPageNum  & """ target=""_self"">&nbsp;" & intLinkPageNum & "&nbsp;</a> "			
		End If
	Next
End If


'If it is Not the End of the guestbook entries then display a next link for the next guestbook page      	
If NOT rsCommon.EOF then   	
	Response.Write vbCrLf & "		<a href=""comments_admin.asp?PagePosition=" &  intRecordPositionPageNum + 1  & """ target=""_self"">&nbsp;Next&nbsp;&gt;&gt;</a>"	   	
End If      	


'Finsh HTML the table      	
Response.Write vbCrLf & "		    </td>"      	
Response.Write vbCrLf & "		  </tr>"
Response.Write vbCrLf & "		</table>"		
Response.Write vbCrLf & "	    </td>"
Response.Write vbCrLf & "	  </tr>"
Response.Write vbCrLf & "	</table>"

 

'Reset Server Variables
rsCommon.Close
Set rsCommon = Nothing	
adoCon.Close
Set adoCon = Nothing


%>
</body>
</html>